global Base BaseStr MaskStr
Base=1
BaseStr='1'
MaskStr='snra'
%------------------------------------------
% batch variables defined here for analyses
%------------------------------------------
analyses = struct( ...
   'type', 			[1], ...
   'index', 		[1], ...
   'work_dir', 	[1], ...
   'mfile', 		[1]);
%------------------------------------------
type = {'model','contrasts','defaults_edit','headers',...
      'means','realign','normalisation','smooth'};
%--------------------------------------
WdP=['E:\fMRIData\Sound\']
Wd1=[MaskStr,'SBase',BaseStr]
[MkDirStatus,MkDirMsg]=mkdir(WdP,Wd1);
if MkDirStatus==1
   fprintf(['Make directory: ',Wd1,' !\n\n'])
elseif MkDirStatus==2
   fprintf(['Directory: ',Wd1,' allready exists !\n\n'])
elseif MkDirStatus==0
   MkDirStatus=MkDirStatus
   MkDirMsg=MkDirMsg
   return
end
Wd1=[WdP,Wd1]
work_dir={Wd1}
m1=['E:\Matlab\toolbox\fMRI\BatchModelTest']
existfile=exist(m1)
mfile={m1};